//
//  BumpMessage.h
//  AccelBump
//
//  Created by manuMohan on 1/22/13.
//  Copyright (c) 2013 manuMohan. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
    BUMP_MATCH,
    CONNECTED,
    DISCONNECTED,
    BUMP_DATA
}MessageType;
@interface BumpMessage : NSObject
//Message type
@property (nonatomic,assign) MessageType type;
//User name
@property (nonatomic,retain) NSString *name;
//Message content
@property (nonatomic,retain) NSString *content;
//Bump Channel
@property (nonatomic,assign) unsigned long long channel;
@end
