//
//  UtilsManager.h
//  AccelBump
//
//  Created by manuMohan on 1/22/13.
//  Copyright (c) 2013 manuMohan. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>
#import "ABConstants.h"
@interface UtilsManager : NSObject{
    NSString *apiKey_;
}
//Set an api key, This is important while using more than one kind of application
- (void)setApiKey:(NSString *)apiKey;

//Get the json messsage which tells the server that a bump has been occured
//The server will check for any nearby bump match
- (NSString *)getBumpMessageToServerWithLocation:(CLLocation *)location;

//Get the message that is to be send to the matched device, in json
- (NSString *)getBumpMessageWithContent:(NSData *)data forChannel:(BumpChannel)channel;

+ (UtilsManager *)sharedInstance;
@end
