//
//  AccelManager.h
//  AccelBump
//
//  Created by manuMohan on 1/7/13.
//  Copyright (c) 2013 manuMohan. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreMotion/CoreMotion.h>

typedef void (^BumpHandler)(BOOL bumpOccured);

@interface BumpManager : NSObject{
    CMMotionManager *motionManager;
    BumpHandler bumpHandler_;
}

+ (BumpManager *)sharedInstance;

//start listening for accel bump
- (void)listenForAccelShakeWithHandler:(BumpHandler)bumpHandler;


@end
