//
//  LocationManager.h
//  AccelBump
//
//  Created by manuMohan on 1/7/13.
//  Copyright (c) 2013 manuMohan. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@interface LocationManager : NSObject<CLLocationManagerDelegate>{
    CLLocationManager *locationManager;
}

+ (LocationManager *)sharedInstance;

//get the current location of the device.
- (CLLocation*)getCurrentLocation;

//start updating
- (void)start;
//stop updatting
- (void)stop;

@end
