//
//  AccelBumpParser.m
//  AccelBump
//
//  Created by manuMohan on 1/21/13.
//  Copyright (c) 2013 manuMohan. All rights reserved.
//

#import "AccelBumpParser.h"

@implementation AccelBumpParser

- (BumpMessage *)parse:(NSString *)message{
    BumpMessage *bumpMessage = [[BumpMessage alloc] init];
    SBJsonParser *parser = [[SBJsonParser alloc] init];
    NSMutableDictionary *messageDictionary;
    messageDictionary = [parser objectWithString:message];
    if([[messageDictionary valueForKey:@"type"] isEqualToString:@"0"]){
        bumpMessage.type = BUMP_MATCH;
    }
    if([[messageDictionary valueForKey:@"type"] isEqualToString:@"1"]){
        bumpMessage.type = BUMP_DATA;
    }
    if([[messageDictionary valueForKey:@"type"] isEqualToString:@"2"]){
        bumpMessage.type = CONNECTED;
    }
    if([[messageDictionary valueForKey:@"type"] isEqualToString:@"3"]){
        bumpMessage.type = DISCONNECTED;
    }
    bumpMessage.name = [messageDictionary valueForKey:@"name"];
    bumpMessage.content = [messageDictionary valueForKey:@"content"];
    bumpMessage.channel = [[messageDictionary valueForKey:@"channel"] longLongValue];
    return bumpMessage;
}
@end
